Jump to content

Recommended Posts

Bonjour,

Depuis se matin, je ne plus accéder au back office de prestashop, ainsi que mon site web.

Le message est 500 Serve Error

Pouvez-vous m'aider ?

Merci d'avance

Share this post


Link to post
Share on other sites

Bonjour,

 

Suite au problème de 500 Server Error, j'ai été obligé de faire une restauration de mes fichiers sur mon server.

Tous fonctionne bien et la back office aussi.

Mais le problème je ne peux plus aller sur dans le section "Module", "Module Manager",

Le message d'errer est le suivant The server returned a "500 Internal Server Error".

Suite à ce message, j'ai activé le mode débug et le résultat ma donné le fichier ci-joint: 

Je suis un peu perdu

Pouvez-vous m'aider,

 

Merci d'avance,

 

Capture d’écran 2020-05-20 à 08.47.30.png

Share this post


Link to post
Share on other sites

Sa veux dire quoi ce tableau?

Share this post


Link to post
Share on other sites

Ce tableau précise les versions PHP compatibles avec votre version de PrestaShop.

Donc il faut connaitre votre version de PHP et de Prestashop sinon nous ne pouvons pas vous aider.

C'est la base des forum d'aide il faut donner le référentiel.

1567940490_Capturedecran2019-11-2115_35_55.thumb.jpg.d505c8ee226b7076b178596fc8e251d6.jpg

Share this post


Link to post
Share on other sites

Voici les informations: 

Version de PrestaShop : 1.7.5.1

Version de PHP : 7.3.17

Version du logiciel serveur : Apache

Share this post


Link to post
Share on other sites

Donc vous avez votre explication car, comme l’indique précisément le tableau précédemment transmit, votre version PrestaShop n'accepte pas de version PHP supérieur à la version 7.2.
Il faut donc que vous passier votre version PHP à la 7.2 en espérant que les modules tiers de votre solutions sont eux même compatible avec la version 7.2 de PHP.

Share this post


Link to post
Share on other sites

merci pour votre aide.

Et sa se passe comment pour passer d'un PHP à un autre?

Cordialement,

 

Share this post


Link to post
Share on other sites

Cela se passe au niveau de votre serveur d'hébergement.

Share this post


Link to post
Share on other sites

d'accord merci

Share this post


Link to post
Share on other sites

Je viens de changer la version de PHP 7.3.17 à PHP 7.2

Le résultat est le même

Share this post


Link to post
Share on other sites

Donc vous avez un truc pas compatible PHP7 il faut donc redescendre en php 5.6

Share this post


Link to post
Share on other sites

ok je fais la manip

Share this post


Link to post
Share on other sites

Je viens d'appeler mon Hebergeur, il me dit que la verson PHP 7.2 est très bien pour ma version de prestashop 1.7.5.1.

Il me dit que la version PHP 5.6 est pas compatible avec ma version de prestashop.

Share this post


Link to post
Share on other sites

est pas compatible

Share this post


Link to post
Share on other sites

Le problème c'est que je ne plus aller dans mes module, cela me donne un message d'erreur

The server returned a "500 Internal Server Error".

Share this post


Link to post
Share on other sites

ben demandez donc à votre hébergeur de corriger votre souci.

Mais bon je ne connais pas votre hébergeur mais il vous ment. Que cela soit moi bien, c'est un fait, PHP7 est plus performant, c'est pas un secret, mais de là à dire que php5.6 n'est pas compatible, c'est un mensonge.

 

Share this post


Link to post
Share on other sites

d'accord, donc je passe en version PHP 5.6

 

Share this post


Link to post
Share on other sites

Vous pouvez aussi effacer les répertoires :

app/cache/prod
app/cache/dev

 

Share this post


Link to post
Share on other sites

IL me le facture 9,37€ par mois

Share this post


Link to post
Share on other sites

Donc vous êtes chez ionos le seul hébergeur menteur et qui facture les truc gratuit chez tous les autres.

Et le pire c'ets que je dois faire le support bénévolement de cet hébergeur parce que PrestaShop a décidé d'en faire un partenaire car ils payent bien, sauf que PrestaShop encaisse le fric, ionos aussi et non on perd notre temps.

Donc changez d'hébergeur et votre site fonctionnera mieux.

Share this post


Link to post
Share on other sites
Just now, Mediacom87 said:

Donc vous êtes chez ionos le seul hébergeur menteur et qui facture les truc gratuit chez tous les autres.

Et le pire c'ets que je dois faire le support bénévolement de cet hébergeur parce que PrestaShop a décidé d'en faire un partenaire car ils payent bien, sauf que PrestaShop encaisse le fric, ionos aussi et non on perd notre temps.

Donc changez d'hébergeur et votre site fonctionnera mieux.

Oui effectivement je suis chez IONOS, je viens de commander la version PHP 5,6

Share this post


Link to post
Share on other sites
à l’instant, SBCOM a dit :

Oui effectivement je suis chez IONOS, je viens de commander la version PHP 5,6

Il ne faut surtout pas payer pour ce genre d'option.

aviez vous vider les répertoire cache avant ?

franchement vous venez de perdre de l'argent, demander à ionos de vous rembourser tout de suite, c'est une honte ce genre de pratique.

Share this post


Link to post
Share on other sites

Quel hebergeur vous me conseillé?

Share this post


Link to post
Share on other sites

D'accord je vais allez voir.

C'est bon je viens de changer la version de PHP .

Je suis bien en 5.6

Share this post


Link to post
Share on other sites

Idem, sa change rien.

Impossible d'aller dans mes modules.

The server returned a "500 Internal Server Error".

Share this post


Link to post
Share on other sites

Sauf que l'erreur n'est plsu la même donc erreur 500 ne veut rien dire il faut toujours activer le mode debug.

Share this post


Link to post
Share on other sites

ok je le fais

Share this post


Link to post
Share on other sites

Voila le résultat après avoir activer le mode debug.

 

Capture d’écran 2020-05-20 à 11.07.41.png

Share this post


Link to post
Share on other sites

Vous avez 2 modules qui déclare une classe sur le même nom.
 

Donc il faut identifier ces 2 modules et retirer celui qui ne sert à rien.

 

Share this post


Link to post
Share on other sites

ok et je fais comment?

Share this post


Link to post
Share on other sites

perso je récupère tout sur mon ordi et je fais une recherche sur le terme MailAlert dans le répertoire module.

Mais normalement vous devriez connaître les modules qui sont installés et savoir lesquels sont concerné par cette fonctionnalité de rappel d'email ou autre et donc qui utilise une classe MailAlert.

Et je le rappelle encore une fois, les erreur n’apparaissent pas sasn raison et il y a toujours eu une intervention avant.

C’est pour cela qu'il faut bien suivre la vie de son site et bien comprendre comment cela fonctionne, ou transférer ce suivi à quelqu'un d'autre.

Share this post


Link to post
Share on other sites

Oui je comprend

Capture d’écran 2020-05-20 à 11.12.17.png

Capture d’écran 2020-05-20 à 11.12.34.png

Capture d’écran 2020-05-20 à 11.12.39.png

Share this post


Link to post
Share on other sites

Vous pouvez m'aider?

Share this post


Link to post
Share on other sites

Bonjour,

Personne peux m'aider?

Share this post


Link to post
Share on other sites

là c'ets le module angarcatproduct qui a un soucis, donc se renseigner auprès de son développeur.

Share this post


Link to post
Share on other sites

Je viens d'envoyer un mail au développeur.

J'attend son retours

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More